## net.sourceforge.pmd.cpd
Class CPPTokenizer

    java.lang.Object
      net.sourceforge.pmd.cpd.CPPTokenizer

All Implemented Interfaces:
  Tokenizer

public class CPPTokenizer
extends java.lang.Object
implements Tokenizer

Field Summary
`protected java.lang.String` `EOL`

Constructor Summary
`CPPTokenizer()`

Method Summary
`void` `tokenize(SourceCode sourceCode, Tokens tokenEntries)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EOL

    protected java.lang.String EOL

Constructor Detail

### CPPTokenizer

    public CPPTokenizer()

Method Detail

### tokenize

    public void tokenize(SourceCode sourceCode,
                         Tokens tokenEntries)

  Specified by:
    `tokenize` in interface `Tokenizer`

Copyright © 2002-2006 InfoEther. All Rights Reserved.